メインコンテンツへスキップ
POST
/
datasets
/
{dataset_id}
/
pipeline
/
run
Error
A valid request URL is required to generate request examples
"<string>"

承認

Authorization
string
header
必須

API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。

パスパラメータ

dataset_id
string<uuid>
必須

ナレッジベース ID です。

ボディ

application/json
inputs
object
必須

パイプラインの入力変数です。

datasource_type
enum<string>
必須

データソースの種類です。

利用可能なオプション:
online_document,
local_file,
website_crawl,
online_drive
datasource_info_list
object[]
必須

パイプラインが処理するデータソース情報オブジェクトのリストです。

start_node_id
string
必須

パイプライン実行を開始するノードの ID です。

is_published
boolean
必須

パイプラインの公開バージョンとドラフトバージョンのどちらを実行するかを指定します。true は公開バージョン、false はドラフトを実行します。

response_mode
enum<string>
必須

パイプライン実行のレスポンスモードです。streaming はサーバー送信イベントストリームを返し、blocking は完了を待って完全な結果を返します。

利用可能なオプション:
streaming,
blocking

レスポンス

パイプライン実行結果。フォーマットは response_mode に依存します:ストリーミングは text/event-stream を返し、ブロッキングは完全な JSON 結果を返します。

パイプライン実行の進捗と結果を含むサーバー送信イベントストリームです。response_modestreaming の場合に返されます。